Name:            gtkhtml
Summary:         gtk based html library
Version:         0.9.3
Release:         1_gpp
Copyright:       LGPL
Group:           X11/Libraries
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmpdir}/%{name}-%{version}-root
Provides:        gtkhtml.so.0
Requires:        pspell
Requires:        gnome-print >= 0.24
Requires:        gdk-pixbuf >= 0.8.0
BuildRequires:   gnome-libs-devel, control-center-devel, libghttp-devel
BuildRequires:   bonobo-devel, libxml-devel, libglade-devel, libunicode-devel
BuildRequires:   gal-devel >= 0.5.99.13
BuildRequires:   gnome-print-devel >= 0.25
BuildRequires:   gdk-pixbuf-devel >= 0.8.0


%description
This is GtkHTML, a lightweight HTML rendering/printing/editing engine.
It was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Summary:    Libraries, includes, etc to develop gtkhtml applications
Group:      X11/libraries
Requires:   %name = %version

%description devel
Libraries, include files, etc you can use to develop gtkhtml applications.

%prep
%setup -q

%build
# Needed for snapshot releases.
%ifarch alpha
    MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --with-bonobo \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--bindir=%{_bindir} --libdir=%{_libdir} --datadir=%{_datadir} \
	--includedir=%{_includedir} 
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --with-bonobo \
    --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
    --bindir=%{_bindir} --libdir=%{_libdir} --datadir=%{_datadir} \
    --includedir=%{_includedir} 


if [ "$SMP" != "" ]; then
    (make "MAKE=make -k -j $SMP"; exit 0)
    make
else
    make
fi

%install
rm -rf $RPM_BUILD_ROOT

# Note how DESTDIR is passed. Using prefix=$RPM_BUILD_ROOT%{prefix} instaead
# nearly worked, but problems occured for /etc/CORBA/servers, where prefix
# was ignored completely.
#make -k DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} install

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindor} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} install

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_sysconfdir}/CORBA/servers/*
%{_bindir}/gtkhtml-properties-capplet
%{_bindir}/gnome-gtkhtml-editor
%{_libdir}/*.sh
%{_libdir}/*.so.*
%{_datadir}/control-center/Documents/*
%{_datadir}/gnome/apps/Settings/Documents/*
%{_datadir}/gnome/ui/*
%{_datadir}/gtkhtml/
%{_datadir}/oaf/*


%files devel
%defattr(-, root, root)
%{_includedir}/gtkhtml
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Mon Jul  9 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- reformatted header
- moved development libraries into the -devel rpm
- used proper file-locations macros
- used find_lang for translations
- fixed make install
- removed unnecessary %defines
